classification
Title: PCbuild\clean.bat fails if the path contains whitespaces
Type: behavior Stage: resolved
Components: Build, Windows Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: paul.moore, serhiy.storchaka, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords: patch

Created on 2017-09-27 10:49 by serhiy.storchaka, last changed 2017-11-05 00:25 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4280 merged steve.dower, 2017-11-04 22:39
PR 4285 merged python-dev, 2017-11-04 23:30
Messages (3)
msg303126 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-09-27 10:49
C:\Users\Serhiy Storchaka\py\cpython3.6-debug>PCbuild\clean.bat
'C:\Users\Serhiy' is not recognized as an internal or external command,
operable program or batch file.
msg305579 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-11-04 23:29
New changeset aed08562220974b5c67371b908f23caa1be07e38 by Steve Dower in branch 'master':
bpo-31609: Fixes quotes in PCbuild/clean.bat (#4280)
https://github.com/python/cpython/commit/aed08562220974b5c67371b908f23caa1be07e38
msg305581 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-11-05 00:25
New changeset f4443562345130c991fded3dc3b02b94aee0f362 by Steve Dower (Miss Islington (bot)) in branch '3.6':
bpo-31609: Fixes quotes in PCbuild/clean.bat (GH-4280) (#4285)
https://github.com/python/cpython/commit/f4443562345130c991fded3dc3b02b94aee0f362
History
Date User Action Args
2017-11-05 00:25:42steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-11-05 00:25:11steve.dowersetmessages: + msg305581
2017-11-04 23:30:55python-devsetpull_requests: + pull_request4247
2017-11-04 23:29:05steve.dowersetmessages: + msg305579
2017-11-04 22:41:58steve.dowersetassignee: steve.dower
versions: + Python 3.6, Python 3.7
2017-11-04 22:39:46steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request4242
2017-09-28 14:35:29vstinnersetnosy: + vstinner
2017-09-27 12:56:07serhiy.storchakasettitle: PCbuild\clean.bat fails if the patch contains whitespaces -> PCbuild\clean.bat fails if the path contains whitespaces
2017-09-27 10:49:26serhiy.storchakacreate